Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/inventory/items

Prev Next
Get
/public/v1/inventory/items

Retrieves a list of purchase items

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
modifiedOnStart
string (date-time)

Starting datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnEnd'

modifiedOnEnd
string (date-time)

Ending datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnStart'

pageSize
integer (int32)

Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response

Responses
200

The list of purchase items

Expand All
object

A response containing purchase items.

items
Array of object (R365.Inventory.Public.Contracts.PurchaseItems.Models.PurchaseItemPublicDto) | null

Collection of public purchase items records returned in this page.

object

A purchase item.

id
string (uuid)

The unique identifier of the purchase item.

name
string | null

The name of the purchase item.

number
string | null

The number of the purchase item.

isActive
boolean

Indicates whether the purchase item is active.

costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

inventoryAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

wasteAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

donationAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

costUpdateMethod
string | null

The cost update method of the purchase item.

description
string | null

The description of the purchase item.

reportingUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

inventoryUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

inventoryUnitOfMeasure2
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

inventoryUnitOfMeasure3
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceEachUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceEachQuantity
number (double) | null

The equivalence quantity for the Each measure type.

equivalenceWeightUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceWeightQuantity
number (double) | null

The equivalence quantity for the Weight measure type.

equivalenceVolumeUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceVolumeQuantity
number (double) | null

The equivalence quantity for the Volume measure type.

itemCategory1
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory2
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory3
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

isKeyItem
boolean

Indicates whether the purchase item is a key item.

type
string | null

The type of the purchase item.

measureType
string | null

The measure type of the purchase item.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The time at which the record was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time)

The time at which the record was last modified.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

Expand All
object

A response containing purchase items.

items
Array of object (R365.Inventory.Public.Contracts.PurchaseItems.Models.PurchaseItemPublicDto) | null

Collection of public purchase items records returned in this page.

object

A purchase item.

id
string (uuid)

The unique identifier of the purchase item.

name
string | null

The name of the purchase item.

number
string | null

The number of the purchase item.

isActive
boolean

Indicates whether the purchase item is active.

costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

inventoryAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

wasteAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

donationAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

costUpdateMethod
string | null

The cost update method of the purchase item.

description
string | null

The description of the purchase item.

reportingUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

inventoryUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

inventoryUnitOfMeasure2
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

inventoryUnitOfMeasure3
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceEachUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceEachQuantity
number (double) | null

The equivalence quantity for the Each measure type.

equivalenceWeightUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceWeightQuantity
number (double) | null

The equivalence quantity for the Weight measure type.

equivalenceVolumeUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceVolumeQuantity
number (double) | null

The equivalence quantity for the Volume measure type.

itemCategory1
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory2
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory3
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

isKeyItem
boolean

Indicates whether the purchase item is a key item.

type
string | null

The type of the purchase item.

measureType
string | null

The measure type of the purchase item.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The time at which the record was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time)

The time at which the record was last modified.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

Expand All
object

A response containing purchase items.

items
Array of object (R365.Inventory.Public.Contracts.PurchaseItems.Models.PurchaseItemPublicDto) | null

Collection of public purchase items records returned in this page.

object

A purchase item.

id
string (uuid)

The unique identifier of the purchase item.

name
string | null

The name of the purchase item.

number
string | null

The number of the purchase item.

isActive
boolean

Indicates whether the purchase item is active.

costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

inventoryAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

wasteAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

donationAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

costUpdateMethod
string | null

The cost update method of the purchase item.

description
string | null

The description of the purchase item.

reportingUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

inventoryUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

inventoryUnitOfMeasure2
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

inventoryUnitOfMeasure3
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceEachUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceEachQuantity
number (double) | null

The equivalence quantity for the Each measure type.

equivalenceWeightUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceWeightQuantity
number (double) | null

The equivalence quantity for the Weight measure type.

equivalenceVolumeUnitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

equivalenceVolumeQuantity
number (double) | null

The equivalence quantity for the Volume measure type.

itemCategory1
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory2
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory3
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

isKeyItem
boolean

Indicates whether the purchase item is a key item.

type
string | null

The type of the purchase item.

measureType
string | null

The measure type of the purchase item.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The time at which the record was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time)

The time at which the record was last modified.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.